TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.updateAttributes("idp_id", {
key: "value",
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.updateAttributes("idp_id", {
key: "value",
});
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := map[string]any{
"key": "value",
}
c.Organization.IdentityProviders.Provisioning.UpdateAttributes(
context.TODO(),
"idp_id",
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.Provisioning.UpdateAttributesAsync(
idpId: "idp_id",
request: new Dictionary<string, object?>(){
["key"] = "value",
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import java.util.HashMap;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().provisioning().updateAttributes(
"idp_id",
new HashMap<String, Object>() {{
put("key", "value");
}}
);
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.provisioning.update_attributes(
idp_id="idp_id",
request={
"key": "value"
},
)
curl --request PUT \
--url https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"identity_provider_id": "con_2CZPv6IY0gWzDaQJ",
"identity_provider_name": "EC-org-gaZPTTOS42pReSzs-id-ready2",
"strategy": "okta",
"method": "scim",
"attributes": [
{
"provisioning_field": "userName",
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"provisioning_field": "active",
"user_attribute": "blocked",
"is_required": true,
"is_extra": false,
"is_missing": false
}
],
"updated_on": "2025-05-15T23:32:52.351Z",
"created_at": "2025-05-15T23:32:52.351Z",
"user_id_attribute": "externalId"
}Refresh Provisioning Configuration attribute mapping
Refresh the attribute mapping for the Provisioning Configuration of an Identity Provider specified by ID for this Organization. Mappings are reset to the admin-defined defaults.
PUT
/
identity-providers
/
{idp_id}
/
provisioning
/
update-attributes
TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.updateAttributes("idp_id", {
key: "value",
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.updateAttributes("idp_id", {
key: "value",
});
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := map[string]any{
"key": "value",
}
c.Organization.IdentityProviders.Provisioning.UpdateAttributes(
context.TODO(),
"idp_id",
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.Provisioning.UpdateAttributesAsync(
idpId: "idp_id",
request: new Dictionary<string, object?>(){
["key"] = "value",
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import java.util.HashMap;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().provisioning().updateAttributes(
"idp_id",
new HashMap<String, Object>() {{
put("key", "value");
}}
);
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.provisioning.update_attributes(
idp_id="idp_id",
request={
"key": "value"
},
)
curl --request PUT \
--url https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"identity_provider_id": "con_2CZPv6IY0gWzDaQJ",
"identity_provider_name": "EC-org-gaZPTTOS42pReSzs-id-ready2",
"strategy": "okta",
"method": "scim",
"attributes": [
{
"provisioning_field": "userName",
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"provisioning_field": "active",
"user_attribute": "blocked",
"is_required": true,
"is_extra": false,
"is_missing": false
}
],
"updated_on": "2025-05-15T23:32:52.351Z",
"created_at": "2025-05-15T23:32:52.351Z",
"user_id_attribute": "externalId"
}Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Identity provider identifier.
Pattern:
^con_[A-Za-z0-9]{16}$Body
application/json
The body is of type object.
Response
Provisioning config successfully retrieved.
Identity provider identifier.
Pattern:
^con_[A-Za-z0-9]{16}$The name of the identity provider
Required string length:
1 - 128The type of the identity provider
Available options:
adfs, google-apps, oidc, okta, pingfederate, samlp, waad The type of an identity provider's provisioning method
Available options:
none, scim Show child attributes
Show child attributes
The ID of the user